<?xml version="1.0" encoding="utf-8"?>
<?taxonomy-generator id="PomdocPro" version="2023" date="2026-04-08 09:03:27"?>
<schema attributeFormDefault="unqualified" elementFormDefault="qualified"
  targetNamespace="http://www.legrandgroup.com"
  xmlns:Legrand="http://www.legrandgroup.com"
  xmlns:xbrli="http://www.xbrl.org/2003/instance"
  xmlns:xbrldt="http://xbrl.org/2005/xbrldt"
  xmlns="http://www.w3.org/2001/XMLSchema"
  xmlns:types="http://www.xbrl.org/dtr/type/2022-03-31"
  xmlns:link="http://www.xbrl.org/2003/linkbase"
  xmlns:xlink="http://www.w3.org/1999/xlink"
>
  <annotation>
    <appinfo>
      <link:linkbaseRef
        xlink:type="simple"
        xlink:arcrole="http://www.w3.org/1999/xlink/properties/linkbase"
        xlink:role="http://www.xbrl.org/2003/role/presentationLinkbaseRef"
        xlink:href="Legrand-2025-12-31_pre.xml"
      />
      <link:linkbaseRef
        xlink:type="simple"
        xlink:arcrole="http://www.w3.org/1999/xlink/properties/linkbase"
        xlink:role="http://www.xbrl.org/2003/role/calculationLinkbaseRef"
        xlink:href="Legrand-2025-12-31_cal.xml"
      />
      <link:linkbaseRef
        xlink:type="simple"
        xlink:arcrole="http://www.w3.org/1999/xlink/properties/linkbase"
        xlink:role="http://www.xbrl.org/2003/role/definitionLinkbaseRef"
        xlink:href="Legrand-2025-12-31_def.xml"
      />
      <link:linkbaseRef
        xlink:type="simple"
        xlink:arcrole="http://www.w3.org/1999/xlink/properties/linkbase"
        xlink:role="http://www.xbrl.org/2003/role/labelLinkbaseRef"
        xlink:href="Legrand-2025-12-31_lab-fr.xml"
      />
      <link:linkbaseRef
        xlink:type="simple"
        xlink:arcrole="http://www.w3.org/1999/xlink/properties/linkbase"
        xlink:role="http://www.xbrl.org/2003/role/labelLinkbaseRef"
        xlink:href="https://www.esma.europa.eu/taxonomy/2024-03-27/esef_cor-lab-fr.xml"
      />
      <link:linkbaseRef
        xlink:type="simple"
        xlink:arcrole="http://www.w3.org/1999/xlink/properties/linkbase"
        xlink:role="http://www.xbrl.org/2003/role/labelLinkbaseRef"
        xlink:href="Legrand-2025-12-31_lab-en.xml"
      />
      <link:linkbaseRef
        xlink:type="simple"
        xlink:arcrole="http://www.w3.org/1999/xlink/properties/linkbase"
        xlink:role="http://www.xbrl.org/2003/role/labelLinkbaseRef"
        xlink:href="https://www.esma.europa.eu/taxonomy/2024-03-27/esef_cor-lab-en.xml"
      />
      <link:roleType id="Anchoring" roleURI="http://www.legrandgroup.com/2024-10-05/xbrl/role/Anchoring">
        <link:definition>[000099] Anchoring</link:definition>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType id="ias_1_role-110000_extended" roleURI="https://www.esma.europa.eu/xbrl/role/all/ias_1_role-110000_extended">
        <link:definition>[110000] General information about financial statements</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
      </link:roleType>
      <link:roleType id="ias_1_role-210000_extended" roleURI="https://www.esma.europa.eu/xbrl/role/all/ias_1_role-210000_extended">
        <link:definition>[210000] Statement of financial position, current/non-current</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
      </link:roleType>
      <link:roleType id="ias_1_role-310000_extended" roleURI="https://www.esma.europa.eu/xbrl/role/all/ias_1_role-310000_extended">
        <link:definition>[310000] Statement of comprehensive income, profit or loss, by function of expense</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
      </link:roleType>
      <link:roleType id="ias_1_role-420000_extended" roleURI="https://www.esma.europa.eu/xbrl/role/all/ias_1_role-420000_extended">
        <link:definition>[420000] Statement of comprehensive income, OCI components presented before tax</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
      </link:roleType>
      <link:roleType id="ias_7_role-510000_extended" roleURI="https://www.esma.europa.eu/xbrl/role/all/ias_7_role-510000_extended">
        <link:definition>[510000] Statement of cash flows, direct method</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
      </link:roleType>
      <link:roleType id="ias_1_role-610000_extended" roleURI="https://www.esma.europa.eu/xbrl/role/all/ias_1_role-610000_extended">
        <link:definition>[610000] Statement of changes in equity</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType id="NotesAccountingPoliciesAndMandatoryTags" roleURI="http://www.legrandgroup.com/role/NotesAccountingPoliciesAndMandatoryTags">
        <link:definition>00 NotesAccountingPoliciesAndMandatoryTags</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
      </link:roleType>
      <link:roleType id="StatementOfComprehensiveIncome" roleURI="http://www.legrandgroup.com/role/StatementOfComprehensiveIncome">
        <link:definition>02 Statement Of Comprehensive Income</link:definition>
        <link:usedOn>link:calculationLink</link:usedOn>
      </link:roleType>
      <link:roleType id="IncomeStatement" roleURI="http://www.legrandgroup.com/role/IncomeStatement">
        <link:definition>01 Income Statement</link:definition>
        <link:usedOn>link:calculationLink</link:usedOn>
      </link:roleType>
    </appinfo>
  </annotation>
  <import namespace="http://www.xbrl.org/2003/instance" schemaLocation="http://www.xbrl.org/2003/xbrl-instance-2003-12-31.xsd" />
  <import namespace="http://xbrl.org/2005/xbrldt" schemaLocation="http://www.xbrl.org/2005/xbrldt-2005.xsd" />
  <import namespace="http://www.xbrl.org/dtr/type/2022-03-31" schemaLocation="https://www.xbrl.org/dtr/type/2022-03-31/types.xsd" />
  <import namespace="https://www.esma.europa.eu/taxonomy/2024-03-27/esef_cor" schemaLocation="https://www.esma.europa.eu/taxonomy/2024-03-27/esef_cor.xsd" />
  <element id="Legrand_NouveauxFinancementsLongTerme" name="NouveauxFinancementsLongTerme" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType" xbrli:balance="debit" xbrli:periodType="duration"/>
  <element id="Legrand_AutresCreancesCourantes" name="AutresCreancesCourantes" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType" xbrli:balance="debit" xbrli:periodType="instant"/>
  <element id="Legrand_Reserves" name="Reserves" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType" xbrli:balance="credit" xbrli:periodType="instant"/>
  <element id="Legrand_CessionActifsImmobilises" name="CessionActifsImmobilises" nillable="true" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType" xbrli:balance="debit" xbrli:periodType="duration"/>
  <element id="Legrand_AcquisitionActifsImmobilises" name="AcquisitionActifsImmobilises" nillable="true" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType" xbrli:balance="credit" xbrli:periodType="duration"/>
  <element id="Legrand_AdjustmentsForIncreaseDecreaseInOtherOperatingAssetsAndLiabilities" name="AdjustmentsForIncreaseDecreaseInOtherOperatingAssetsAndLiabilities" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType" xbrli:balance="debit" xbrli:periodType="duration"/>
  <element id="Legrand_ReconciliationChiffresCles" name="ReconciliationChiffresCles" nillable="true" substitutionGroup="xbrli:item" type="types:textBlockItemType" xbrli:periodType="duration"/>
  <element id="Legrand_GestionDuRisqueClimatique" name="GestionDuRisqueClimatique" nillable="true" substitutionGroup="xbrli:item" type="types:textBlockItemType" xbrli:periodType="duration"/>
  <element id="Legrand_AdjustmentsForDepreciationAndAmortisationOfIntangibleAssets" name="AdjustmentsForDepreciationAndAmortisationOfIntangibleAssets" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType" xbrli:balance="debit" xbrli:periodType="duration"/>
  <element id="Legrand_FinanceIncomeCostAbstract" name="FinanceIncomeCostAbstract" abstract="true" substitutionGroup="xbrli:item" type="xbrli:stringItemType" xbrli:periodType="duration"/>
  <element id="Legrand_CashFlowsFromUsedInNonCurrentFinancialAssetsAndLiabilities" name="CashFlowsFromUsedInNonCurrentFinancialAssetsAndLiabilities" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType" xbrli:balance="debit" xbrli:periodType="duration"/>
  <element id="Legrand_GeneralInformationAboutFinancialStatementsAbstract" name="GeneralInformationAboutFinancialStatementsAbstract" abstract="true" substitutionGroup="xbrli:item" type="xbrli:stringItemType" xbrli:periodType="duration"/>
  <element id="Legrand_AutresPassifsCourants" name="AutresPassifsCourants" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType" xbrli:balance="credit" xbrli:periodType="instant"/>
  <element id="Legrand_AutresEffetElementsDuResultatGlobalNonReclassesEnResultatNet" name="AutresEffetElementsDuResultatGlobalNonReclassesEnResultatNet" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType" xbrli:balance="credit" xbrli:periodType="duration"/>
  <element id="Legrand_InteretsLiesAuxDettesLocations" name="InteretsLiesAuxDettesLocations" nillable="true" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType" xbrli:balance="credit" xbrli:periodType="duration"/>
  <element id="Legrand_RemboursementDesFinancementsLongTerme" name="RemboursementDesFinancementsLongTerme" nillable="true" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType" xbrli:balance="credit" xbrli:periodType="duration"/>
  <element id="Legrand_AdjustmentsForDepreciationAndAmortisationOfTangibleAssets" name="AdjustmentsForDepreciationAndAmortisationOfTangibleAssets" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType" xbrli:balance="debit" xbrli:periodType="duration"/>
  <element id="Legrand_CashFlowsUsedInCapitalizedDevelopmentCosts" name="CashFlowsUsedInCapitalizedDevelopmentCosts" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType" xbrli:balance="credit" xbrli:periodType="duration"/>
  <element id="Legrand_ProfitLossBeforeTaxAbstract" name="ProfitLossBeforeTaxAbstract" abstract="true" substitutionGroup="xbrli:item" type="xbrli:stringItemType" xbrli:periodType="duration"/>
  <element id="Legrand_AdjustmentsForDeferredTaxesReversingInTheLongTerm" name="AdjustmentsForDeferredTaxesReversingInTheLongTerm" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType" xbrli:balance="debit" xbrli:periodType="duration"/>
  <element id="Legrand_ChiffresCles" name="ChiffresCles" nillable="true" substitutionGroup="xbrli:item" type="types:textBlockItemType" xbrli:periodType="duration"/>
  <element id="Legrand_IncreaseDecreaseInCashAndCashEquivalentsAbstract" name="IncreaseDecreaseInCashAndCashEquivalentsAbstract" abstract="true" substitutionGroup="xbrli:item" type="xbrli:stringItemType" xbrli:periodType="duration"/>
  <element id="Legrand_EmissionOCEANEs" name="EmissionOCEANEs" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType" xbrli:balance="debit" xbrli:periodType="duration"/>
  <element id="Legrand_EquityAttributableToOwnersOfParentAbstract" name="EquityAttributableToOwnersOfParentAbstract" abstract="true" substitutionGroup="xbrli:item" type="xbrli:stringItemType" xbrli:periodType="duration"/>
  <element id="Legrand_AdjustmentsForDepreciationAndAmortisationOfCapitalizedDevelopmentCosts" name="AdjustmentsForDepreciationAndAmortisationOfCapitalizedDevelopmentCosts" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType" xbrli:balance="debit" xbrli:periodType="duration"/>
  <element id="Legrand_AdjustmentsForDepreciationAndAmortisationOfRightOfUseAssets" name="AdjustmentsForDepreciationAndAmortisationOfRightOfUseAssets" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType" xbrli:balance="debit" xbrli:periodType="duration"/>
  <element id="Legrand_ProfitLossFromOperatingActivitiesAbstract" name="ProfitLossFromOperatingActivitiesAbstract" abstract="true" substitutionGroup="xbrli:item" type="xbrli:stringItemType" xbrli:periodType="duration"/>
  <element id="Legrand_IssuanceConvertibleInstruments" name="IssuanceConvertibleInstruments" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType" xbrli:balance="credit" xbrli:periodType="duration"/>
  <element id="Legrand_AdjustmentsForIncreaseDecreaseInotherNonCurrentAssetsAndLiabilities" name="AdjustmentsForIncreaseDecreaseInotherNonCurrentAssetsAndLiabilities" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType" xbrli:balance="debit" xbrli:periodType="duration"/>
</schema>